Bug 808461 - API/CLI should not allow creating/deleting repositories of a RH provider
API/CLI should not allow creating/deleting repositories of a RH provider
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 09:21 EDT by Ivan Necas
Modified: 2014-09-18 11:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:19:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Necas 2012-03-30 09:21:55 EDT
Version-Release number of selected component (if applicable):
katello-0.2.22-1

How reproducible:
Always

Steps to Reproduce:
1. import manifest
2. katello repo create --org ACME_Corporation --product "Zoo Enterprise" --name repo44 --url "http://localhost"

  
Actual results:
Repo successfully created

Expected results:
Bad Request: You can not create a repository for RH product.

Additional info:
Comment 1 Lukas Zapletal 2012-12-18 12:18:57 EST
https://github.com/Katello/katello/pull/1291
Comment 2 Mike McCune 2013-09-19 14:19:44 EDT
These bugs have been resolved in upstream projects for a period of months so
I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to
re-open.

Note You need to log in before you can comment on or make changes to this bug.